package com.uas.report.axis.scheduling;

public interface ReportSchedulerManagementService {

	public Job getJob(long id);

	public Job scheduleJob(Job job);

	public Job updateJob(Job job);

	public void deleteJob(long id);

	public void deleteJobs(long[] ids);

	public JobSummary[] getAllJobs();

	public JobSummary[] getReportJobs(String reportURI);
}
